"""Class that defines custom Orange jobs.

Following jobs will be installed:

- CreateVrf
- CreateCpeDevice
- CreateIPAddressForService
"""

from nautobot.apps.jobs import register_jobs
from nautobot_obe.job_modules.provisioning_jobs import (
    CreateCpeDevice,
    CreateVrf,
    CreateIPAddressForService,
    CreateVOIPTrunk,
    CreateSecurityPackage,
)
from nautobot_obe.job_modules.data_validation_jobs import UpdateStatus
from nautobot_obe.job_modules.deprovisioning_jobs import DeleteDevice


jobs = [
    CreateCpeDevice,
    CreateVrf,
    CreateIPAddressForService,
    CreateVOIPTrunk,
    CreateSecurityPackage,
    UpdateStatus,
    DeleteDevice,
]
register_jobs(*jobs)
