"""Signal handlers for the orange_app."""

from nautobot_obe.init_app import initialize_db


def create_custom_fields(sender, *, apps, **kwargs):
    """Create additional custom fields.

    This will initialize Nautobot with some default values:
        - custom fields
        - default tenant groups and tenants
        - default location groups and locations
        - default device manufacturers and platforms
        - default device and ipam rules

    Args:
    ----
        sender (PluginConfig): The ExamplePluginConfig instance that was registered for this callback
        apps (django.apps.apps.Apps): Use this to look up model classes as needed
        **kwargs: See https://docs.djangoproject.com/en/3.1/ref/signals/#post-migrate for additional args
    """
    initialize_db(sender, apps)
